﻿using Android.App;
using Android.OS;
using Android.Webkit;

namespace dashboard
{
    [Activity(Label = "Mayer Dashboard", MainLauncher = true, Icon = "@mipmap/icon", Theme = "@android:style/Theme.Black.NoTitleBar.Fullscreen", LaunchMode = Android.Content.PM.LaunchMode.SingleTask)]
    [IntentFilter(new[] { "android.intent.action.MAIN" }, Categories = new[] { "android.intent.category.HOME", "android.intent.category.DEFAULT" })]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);
            SetContentView(Resource.Layout.Main);

            var webView = FindViewById<WebView>(Resource.Id.webView);
            webView.Settings.JavaScriptEnabled = true;

            // Use subclassed WebViewClient to hide default chrome (url bar and stuff)
            webView.SetWebViewClient(new HybridWebViewClient());

            webView.LoadUrl("https://mayer.life/dashboard/");
        }

        private class HybridWebViewClient : WebViewClient { }
    }
}

